#php

  • Вызов PHP-функций, создание классов-хелперов, установка приложений и плагинов

  • +3 На рассмотрении

    Всем привет!Поставил вот этот конфиг, немного изменив под unixsocket. Вот собственно то что вышло: https://pastebin.com/s7RXBW6cПолучаю вот что: На notice не смотрите, это косяк темы, основная проблема в картинке: в html путь к картинке...

  • Стандартная отправка через php mail не позволяет подписать письма DKIM подписью, так как письмо формируется фреймворком. Сигнатура DKIM позволяет подписать письмо, подпись проверяется почтовыми серверами, что гарантирует доставку письма в дополнение к...

  • Здравствуйте. Требуется программно создать заказ для заданного пользователя, в ключающий заданный набор товаров. Сначала просто копировал записи в БД. Оказалось, что в этом случае много приходится учитывать - не задействуются внутренние механизмы...

  • +2 Не принято

    На php 7.2 сыпятся следующие ошибки для админки и витрины приложения Блог.При обращении к Настройкам - /webasyst/blog/?module=settings : Deprecated: Function create_function() is deprecated in...

  • Есть решение

    Как в смарти написать вот такое $object->{$dynamic_operator}->method(); ?

    Я знаю только про такой милый костылик. Вот такой пример сработал у меня в Developer'е.PHP$this->view->assign('dynamic_index', 'something'); $this->view->assign('obj', (object) array('something' => 'It works!'));Smarty{$obj_array = (array) $obj} {$obj_array[$dynamic_index]}
    Леонид Вакуленко Леонид Вакуленко
  • Необходима разработка калькулятора, на подобии этого https://jaluzi-verend.ru/mosci...Есть 10 товарных предложений, по каждому есть соответствующая таблица цен и размеровВот такие таблицы нужны в бэкенде. Цены задаются в евро.Клиент вводит размеры...

  • Необходимо дейтствующий магазин продублировать на новый сервер.Обязательно настроить зеркалирование БД.Nginx + Apache + MySQLПлатформа Jelastic

  • +1 Есть решение

    При попытке ручного импорта из import.xml : [16-Jul-2018 14:03:03 Europe/Moscow] PHP Warning: Illegal string offset 'name' in /wa-apps/shop/plugins/cml1c/lib/actions/backend/shopCml1cPluginBackendRun.controller.php on line 5795...

  • Мне нужно подключиться к апи поставщика (erc.ua) через POST запрос для выгрузки товаров.Но мой магазин на shop-script и находится в облаке. Предложите пожалуйста возможные варианты решения задачи.Вот что пишет...

  • Есть решение

    Собственно вопрос в заголовке. Почему при реализации для плагина метода выдаваемого по cron приходится изобретать костыли чтобы обойти ошибки типа undefined function array_column()? Ещё частр не работают конструкции когда в одну функцию передаётся...

    Функция array_column доступна с PHP 5.5. Не все хостеры заботятся, чтобы версия PHP CLI и вебсервера совпадали.Вот, например, из инструкции Timeweb:Далее указываем путь до интерпретатора. На серверах Timeweb по умолчанию установлена версия php 5.3. Наш предполагаемый скрипт работает на 5.6. Указать требуемую версию php так: "/opt/php*/bin/php" где php*/ = php53/ php5.3/ php54/ php5.4/ php56/ php5.6/ php70/ php7.0/ php71/ php7.1/
    Eugen Nichikov Eugen Nichikov
  • Есть решение

    При попытке сделать отправку POST данных появляется ошибка:Данные новые, т.к. пишу новый функционал в профиле пользователя.CSRF Protection code 403

    https://developers.webasyst.ru/features/csrf/Не это ищите?
    Эмиль - - Эмиль
  • В крупном проекте E-commerce Нужно доработать пару сложных задач в проекте, нужна помощь специалиста высокого уровня. Проект написан на платформе WebAsyst!пишите/звоните skype: impereal007telegram: @Dantech

  • Нужна хорошая реализация данных бизнес процесов. Опыт обязателен.1. При создании заказа на сайте в тот же момент отправляем заказ в roistat post запросом и тут же отправляем уведомление в телеграмм бота о поступлении нового заказа. От роистата нужно...

  • ДОбрый день.Как решить проблему не соответствия версии php для плагина?Требуется версия PHP >= 5.6.0, текущая версия 5.5.9-1ubuntu4.21

  • Здравствуйте.Возникла необходимость создания пользователя webasyst (покупателя) из внешнего PHP скрипта.Как его правильно добавить чтобы не повлекло некорректной работы магазина?Заранее благодарен.

  • Добрый день.Я хочу, чтобы сайт отслеживал параметр utm_campaign в адресе, и выводил соответствующий блок WebAssystСкрипт нужен в двух вариантах:Алгоритм №1Смотрим содержимое utm_campaignОпределяем, есть ли у нас в админке блок с таким же названием...

  • Подскажите, пожалуйста, какую версию PHP выбрать для стабильной работы интернет магазина Shop-Script 7 и CRM?

  • PHP 5.6.3 FastCGIПосле переноса сайта из облака на VDS логи сервера просто заваливает PHP Notice:[fcgid:warn] mod_fcgid: stderr: PHP Notice: Undefined index: currency in /var/www/......./data/www/....../wa-apps/shop/lib/classes/shopRounding.class.php...

  • Да, есть "плагин для интеграции с Сималенд", но он "не работает". Он не берёт данные для фильтра. Товар перекачен, теперь надо вытянуть из Сималенд данные по каждому товару, чтобы (например) колёса подбирать по диаметру, а не по...

  • Всем привет!Для обновления плагин "Гибкие скидки" требовался PHP версии 5.3 (у меня был 5.2.17)Я изменил, только для нужно мне сайта. Остальное ничего не трогал и получил кучу ошибок.И вот эту ошибку, при обновлении чего-либо в Инсталлере:...

  • Есть решение

    Добрый день!Пишу свой модуль в Webasyst (на подобии модуля Гостевой книги). Делаю условие в шаблоне wa-apps/[MY_APP]/templates/actions/frontend/frontend.htmlГде переменная $current - значение этапа. {if $current == 1} <p>Вы на первом...

    Вы в шаблон должны передавать значение своей переменной из класса$this->view->assign("current", 1);
    Евгений Львович Николаев Евгений
  • Добрый день!Для корректной работы плагина необходим переход на версию php 5.4 В таком случае возникала ошибка 2054.Техподдержка хостинга ответила на запрос так"С версией php 5.4 не работает модуль mysqli, mysql должен работать корректно.Исправить...

  • Здравствуйте!После переноса сайта (Shop-Script 7, всё обновлено на момент переноса до актуальных версий) на другой хостинг (timeweb.ru) пустые страницы и на витрине и в админке.Ошибки в логах после добавления в .htaccessphp_flag display_errors Off...

  • Нужно сделать связку фискального регистратора, терминала эквайринга и shop-script. 1. Подобрать фискальный регистратор Атол или Штрих соответствующий новому закону 54-ФЗ (онлайн-касса) (АТОЛ 30Ф) 2. Подобрать терминал эквайринга или выбрать из...

  • При установке разнообразных плагинов сталкиваемся регулярно с проблемами их докручивания. Среди нашей команды нет специалистов в верстке, дизайне или разработчиков. Поэтому постоянно возникают потребности в помощи, а каждый раз для решения маленьких...

  • Есть решение

    Добрый день.Какую версию php ставить на сервер, чтобы работало все по масимуму (фреймворк, плагины, приложения)?Спасибо

    Всем спасибо за помощь.Рисковать интереснее - php7 мой выбор))
    Tihlan Tihlan
  • Пишу небольшой адаптер под Redis, чтобы не пользоваться memcached-ом. Написал все по аналогии с memcached-ом, закомментил все строчки в файле index.php (точка входа во фреймворк), написал свой тестовый пример:<?php $redis = new Redis;...

  • Как найти код или скрипт который отвечает за ошибку указания электроной почты?!

  • Есть вообще работающие люди с частым онлайн?? найти и исправить ошибку в 2х формах, "перезвонить" и "подписка" обе формы на основе шоп-скрипта. Оплата яндекс альфа сбересли не устраивает цена пишите обговоримСразу в скайп lamajor90x